#ifndef RH_ENCRYPTION_H
#define RH_ENCRYPTION_H

#include <string>
#include <stdio.h>
#include <string.h>
#include <functional>
#include <openssl/sha.h>
#include <openssl/md5.h>
#include <iostream>
#include <iomanip>


using namespace std;

class RH_Encryption
{
    public:
        RH_Encryption();
        static function<string (string)> none();
        static function<string (string)> md5();
        static function<string (string)> sha1();
        static function<string (string)> sha224();
        static function<string (string)> sha384();
        static function<string (string)> sha256();
        static function<string (string)> sha512();
        //static function<string (string)> hashForLambda(function<string(string)> functionLambda, string value);
        virtual ~RH_Encryption();
    protected:
    private:
};

#endif // RH_ENCRYPTION_H
